CVE-2006-2491
CVSS6.8
发布时间 :2006-05-19 19:02:00
修订时间 :2011-03-07 21:36:18
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in (1) index.php and (2) bmc/admin.php in BoastMachine (bMachine) 3.1 and earlier allows remote attackers to inject arbitrary web script or HTML via the query string, which is not properly filtered when it is accessed using the $_SERVER["PHP_SELF"] variable.


[CNNVD]BoastMachine Admin.PHP 跨站脚本攻击漏洞(CNNVD-200605-348)

        BoastMachine (bMachine) 3.1及之前版本的(1) index.php和(2) bmc/admin.php当中存在跨站脚本攻击(XSS) 漏洞。 远程攻击者可以借助一个在使用$_SERVER["PHP_SELF"] 变量访问时未正确过滤的查询字符串,注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:kailash_nadh:boastmachine:2.9b
cpe:/a:kailash_nadh:boastmachine:2.5
cpe:/a:kailash_nadh:boastmachine:2.7
cpe:/a:boastmachine:boastmachine:3.1
cpe:/a:kailash_nadh:boastmachine:2.8
cpe:/a:boastmachine:boastmachine:3.0::platinum

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2491
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2491
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-348
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/26518
(UNKNOWN)  XF  boastmachine-phpself-xss(26518)
http://www.vupen.com/english/advisories/2006/1853
(UNKNOWN)  VUPEN  ADV-2006-1853
http://www.securityfocus.com/bid/18012
(UNKNOWN)  BID  18012
http://www.securityfocus.com/archive/1/archive/1/434294/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060517 Boastmachine Cross Site Scripting Vulnerability
http://www.osvdb.org/25618
(UNKNOWN)  OSVDB  25618
http://www.osvdb.org/25617
(UNKNOWN)  OSVDB  25617
http://secunia.com/advisories/20149
(VENDOR_ADVISORY)  SECUNIA  20149
http://securityreason.com/securityalert/927
(UNKNOWN)  SREASON  927
http://securityreason.com/securityalert/725
(UNKNOWN)  SREASON  725

- 漏洞信息

BoastMachine Admin.PHP 跨站脚本攻击漏洞
中危 跨站脚本
2006-05-19 00:00:00 2006-05-30 00:00:00
远程  
        BoastMachine (bMachine) 3.1及之前版本的(1) index.php和(2) bmc/admin.php当中存在跨站脚本攻击(XSS) 漏洞。 远程攻击者可以借助一个在使用$_SERVER["PHP_SELF"] 变量访问时未正确过滤的查询字符串,注入任意Web脚本或HTML。

- 公告与补丁

        暂无数据

- 漏洞信息

25617
boastMachine admin.php Form Action XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

BoastMachine contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate Form Action values upon submission to the admin.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-05-16 Unknow
2006-05-16 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站